Get trade history
GET/trades
Returns the specified number of past trades for your account and a time period of up to 24 hours. Does not return trades with a Price Guarantee.
The returned trades are sorted by their timestamp in a descending order, from the latest to the earliest.
This is a private endpoint. To send requests, you need to authenticate.
To get a specific list of trades, use the start, end, tradeIdFrom, and tradeIdTo parameters.
To get all past transactions for your account, use the Get transaction history request.
Rate limit weight points: 5
Request
Query Parameters
The market for which to return the past trades.
BTC-EURPossible values: >= 1 and <= 1000
The maximum number of trades to return, from latest to earliest.
500Possible values: >= 0
The Unix timestamp starting from which to return trades.
Can only return trades for a period of up to 24 hours.
Possible values: <= 8640000000000000
The Unix timestamp up to which to return trades.
Cannot be more than 24 hours after the
startparameter. Can only return trades for a period of up to 24 hours.
The unique identifier of the trade starting from which to return the trades.
The unique identifier of the trade up to which to return the trades.
Deprecated: tradeId is interpreted as tradeIdTo. If used, returns all trades up to this tradeId.
Responses
- 200
- 4XX
The request was successful.
- application/json
- Schema
- Example (body)
Schema
- Array [
- ]
The identifier of the fill, unique per market. Different markets can use the same id values.
108c3633-0276-4480-a902-17a01829deaeBitvavo identifier of the order that was filled.
1d671998-3d44-4df4-965f-0d48bd129a1bYour identifier of the order that was filled.
2be7d0df-d8dc-7b93-a550-8876f3b393e9The Unix timestamp when the trade was made.
1542967486256The market for which to return past trades.
BTC-EURIndicates if the taker, who filled the order, is selling or buying.
Possible values: [buy, sell]
The amount of base currency exchanged in the trade.
0.005The price of 1 unit of base currency in the amount of quote currency at the time of the trade.
5000.1Indicates whether you are the taker for the fill.
trueThe fee that was paid. Value is negative for rebates. Only available if settled is true.
0.03Currency in which the fee was paid. Only available is settled is true.
EURIndicates whether the fee was deducted and the exchanged currency is available for further trading.
[
{
"id": "108c3633-0276-4480-a902-17a01829deae",
"orderId": "1d671998-3d44-4df4-965f-0d48bd129a1b",
"clientOrderId": "2be7d0df-d8dc-7b93-a550-8876f3b393e9",
"timestamp": 1542967486256,
"market": "BTC-EUR",
"side": "buy",
"amount": "0.005",
"price": "5000.1",
"taker": true,
"fee": "0.03",
"feeCurrency": "EUR",
"settled": true
}
]
For error codes, see Handle errors.